%define oname	hybrid-portsrc
%define dwver	5_100_82_112
%define kname	wl

Summary:	Proprietary driver for Broadcom wireless adapters
Name:		broadcom-wl
Version:	5.100.82.112
Release:	%{mkrel 4}
Source0:	http://www.broadcom.com/docs/linux_sta/%{oname}_x86_32-v%{dwver}.tar.gz
Source1:	http://www.broadcom.com/docs/linux_sta/%{oname}_x86_64-v%{dwver}.tar.gz
Source2:	blacklist-broadcom-wl.conf
Patch0:		broadcom-wl-fix-build-with-3.2.0.patch
# Blob is under a custom license (see LICENSE.txt), everything else
# is GPLv2 - AdamW 2008/12
License:	Freeware and GPLv2 with exception
Group:		System/Kernel and hardware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php

%description
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%package -n dkms-%{name}
Summary:	Kernel module for Broadcom wireless adapters
Group:		System/Kernel and hardware
Requires(post):		dkms
Requires(preun):	dkms

%description -n dkms-%{name}
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%prep
%ifarch x86_64
%setup -q -T -c -a1 %{oname}
%else
%setup -q -T -c -a0 %{oname}
%endif
%patch0 -p0

%build

%install
rm -rf %{buildroot}

# add blacklist for in-kernel module
install -m755 -d %{buildroot}/etc/modprobe.d/
install -m644 %{SOURCE2} %{buildroot}/etc/modprobe.d

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}
cp -R * %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/
cat > %{buildroot}%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf << EOF
MAKE="make -C \$kernel_source_dir M=\\\$(pwd)"
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{name}
BUILT_MODULE_NAME=%{kname}
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{name} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{name} -v %{version}-%{release}

%preun -n dkms-%{name}
# rmmod can fail
/sbin/rmmod %{kname} >/dev/null 2>&1
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{name} -v %{version}-%{release} --all || :

%clean
rm -rf %{buildroot}

%files -n dkms-%{name}
%doc lib/LICENSE.txt
%config(noreplace) /etc/modprobe.d/blacklist-broadcom-wl.conf
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*


%changelog

* Mon Dec 26 2011 tmb <tmb> 5.100.82.112-4.mga2
+ Revision: 187931
- fix build with 3.2 series kernels
- drop unused .conf file
- drop buildroot and defattr

* Mon Dec 05 2011 zezinho <zezinho> 5.100.82.112-3.mga2.nonfree
+ Revision: 177045
- blacklist more modules to fix #3618

* Tue Nov 08 2011 zezinho <zezinho> 5.100.82.112-2.mga2.nonfree
+ Revision: 165305
- bump release because it is also in 1/updates

* Tue Nov 08 2011 zezinho <zezinho> 5.100.82.112-1.mga2.nonfree
+ Revision: 165290
- new version

* Sun Apr 10 2011 tmb <tmb> 5.100.82.38-3.mga1
+ Revision: 83052
- blacklist brcm80211 if wl module is installed (#327)

* Sun Mar 20 2011 tmb <tmb> 5.100.82.38-2.mga1
+ Revision: 75009
- fix build with 2.6.37+ series kernels (#438)

* Thu Mar 17 2011 tmb <tmb> 5.100.82.38-1.mga1
+ Revision: 73292
- imported package broadcom-wl


* Thu Mar 17 2011 Thomas Backlund <tmb@mageia.org> 5.100.82.38-1.mga1
- update to v5.100.82.38
- drop P1, P2 (not needed anympre)

* Wed Sep 01 2010 Pascal Terjan <pterjan@mandriva.org> 5.60.48.36-1mdv2011.0
+ Revision: 575159
- Update to v5.60.48.36

* Tue Aug 03 2010 Thomas Backlund <tmb@mandriva.org> 5.10.91.9.3-3mdv2011.0
+ Revision: 565479
- fix build with 2.6.35

* Sun Jan 31 2010 Thomas Backlund <tmb@mandriva.org> 5.10.91.9.3-2mdv2010.1
+ Revision: 498748
- fix build with 2.6.33 (#57331)

* Fri Jan 15 2010 Christophe Fergeau <cfergeau@mandriva.com> 5.10.91.9.3-1mdv2010.1
+ Revision: 491665
- switch to version 5.10.91.9.3
- add gentoo patch to fix compilation with kernel 2.6.32 on i586

* Tue Jul 21 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-2mdv2010.0
+ Revision: 398244
- patch3 based on gentoo: support kernel 2.6.31

* Sat Jun 27 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-1mdv2010.0
+ Revision: 389907
- 5.10.91.9

* Fri Mar 06 2009 Pascal Terjan <pterjan@mandriva.org> 5.10.79.10-1mdv2009.1
+ Revision: 349871
- Update to 5.10.79.10
- Patch for 2.6.29

* Wed Jan 07 2009 Adam Williamson <awilliamson@mandriva.org> 5.10.27.12-1mdv2009.1
+ Revision: 326846
- drop argument.patch, fixed upstream
- new version 5.10.27.12

* Mon Dec 22 2008 Adam Williamson <awilliamson@mandriva.org> 5.10.27.11-1mdv2009.1
+ Revision: 317706
- import broadcom-wl


